
%global meadversion 3.2.3
%global namedversion 3.2.3.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jbossws-common}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.2.3.Final-redhat-00001

Name:           %{?scl_prefix}jbossws-common
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Web Services (common)
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jbossws-common-3.2.3.Final-redhat-00001-project-sources.tar.gz
Source102: jbossws-common-3.2.3.Final-redhat-00001.pom
Source103: jbossws-common-3.2.3.Final-redhat-00001-sources.jar
Source104: jbossws-common-3.2.3.Final-redhat-00001.jar
%endif

URL:            https://github.com/jbossws/jbossws-common
BuildRoot:      %{_tmppath}/jbossws-common-%{version}-%{release}-root
BuildArch:      noarch

%description
JBossWS Common.

%if %with javadoc
%package javadoc
Group:          Documentation

Summary:        Javadoc for jbossws-common
BuildRequires:  unzip

%description javadoc
API documentation for jbossws-common.
%endif

%prep
%setup -q -n jbossws-common-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 0644 %{_sourcedir}/jbossws-common-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-common-%{namedversion}.jar
install -p -m 0644 %{_sourcedir}/jbossws-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-common-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-common-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jbossws-common-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jbossws-common-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jbossws-common-%{namedversion} -x META-INF/\*
%{__ln_s} jbossws-common-%{namedversion} %{buildroot}%{_javadocdir}/jbossws-common
%endif

%clean
rm -rf %{buildroot}

%files -n %{?scl_prefix}jbossws-common
%defattr(0644,root,root,0755)
%{_javadir}/jbossws-common-%{namedversion}.jar
%{_javadir}/jbossws-common.jar
%{_javadir}/jbossws-common-%{namedversion}-sources.jar
%{_javadir}/jbossws-common-sources.jar
%if %with javadoc
%{_javadir}/jbossws-common-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-common-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jbossws-common-%{namedversion}
%{_javadocdir}/jbossws-common
%endif


%changelog
* Thu Jun 13 2019 Yong Yang <yyang@redhat.com> - 3.2.3-1.Final_redhat_00001.1
- RPM wrapper build

* Thu Jun 13 2019 Yong Yang <yyang@redhat.com> - 3.2.2-3.Final_redhat_00001.1
- RPM wrapper build

* Wed Jun 12 2019 Yong Yang <yyang@redhat.com> - 3.2.2-2.Final_redhat_00001.1
- RPM wrapper build

* Wed Jun 12 2019 Yong Yang <yyang@redhat.com> - 3.2.2-2.Final_redhat_00001.1
- RPM wrapper build

* Tue Oct 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 3.2.2-1.Final_redhat_00001.1
- upgrade to 3.2.2.Final-redhat-00001

* Tue Jul 03 2018 Permaine Cheung <pcheung@redhat.com> - 3.2.1-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Fri May 25 2018 Petr Sakar <psakar@redhat.com> - 3.2.1-1.Final_redhat_1.1
- upgrade to 3.2.1.Final-redhat-1

* Wed Feb 08 2017 Petr Sakar <psakar@redhat.com> - 3.1.4-1.Final_redhat_1.1
- upgrade to 3.1.4.Final-redhat-1

* Tue Jul 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.1.3-1.Final_redhat_1.1
- Upgrade to 3.1.3.Final

* Wed Dec 16 2015 Yong Yang <yyang@redhat.com> - 3.1.1-1.Final_redhat_1.1
- Rebuild 3.1.1.Final-redhat-1 

* Fri Sep 25 2015 Hui Wang <huwang@redhat.com> - 3.1.0-2.Final_redhat_1.1
- Upgrade to 1.3.0.Final-redhat-1

* Mon Aug 24 2015 Hui Wang <huwang@redhat.com> - 3.1.0-1.Beta1_redhat_1.1
- Upgrade to 3.1.0.Beta1-redhat-1

* Wed Jul 08 2015 Hui Wang <huwang@redhat.com> - 3.0.0-1.Final_redhat_1.1
- Upgrade to 3.0.0.Final-redhat-1

* Wed Oct 08 2014 Lin Gao <lgao@redhat.com> - 2.3.1-1.Final_redhat_1.1
- Upgrade to 2.3.1.Final

* Fri Mar 21 2014 Lin Gao <lgao@redhat.com> - 2.3.0-1.Final_redhat_1.1
- Update to 2.3.0.Final

* Thu Oct 24 2013 Hui Wang <huwang@redhat.com> - 0:2.2.3-1.Final_redhat_1
- Upgrade to 2.2.3.Final

* Wed Oct 02 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.2.2-1.Final_redhat_1
- Upgrade to 2.2.2.Final

* Thu Sep 19 2013 Paul Gier <pgier@redhat.com> - 0:2.2.1-1.Final_redhat_1
- Upgrade to 2.2.1.Final

* Fri Sep 06 2013 Lin Gao <lgao@redhat.com> - 0:2.2.0-1.Final_redhat_1
- Upgrade to 2.2.0.Final

* Sun Jul 28 2013 Paul Gier <pgier@redhat.com> - 0:2.1.3-1.Final_redhat_1
- Upgrade to 2.1.3.Final

* Tue Jul 16 2013 Hui Wang <huwang@redhat.com> - 0:2.1.2-2.Final_redhat_1
- Minor fix for pom patch

* Tue Jul 16 2013 Hui Wang <huwang@redhat.com> - 0:2.1.2-1.Final_redhat_1
- Upgrade to 2.1.2.Final

* Mon Apr 15 2013 Paul Gier <pgier@redhat.com> - 0:2.1.1-1.Final_redhat_2
- Minor pom update

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 0:2.1.1-1.Final_redhat_1
- Upgrade to 2.1.1.Final

* Tue Nov 13 2012 Paul Gier <pgier@redhat.com> - 0:2.0.4-5.GA_redhat_3.5
- Rebuild for pom fix

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-4.GA_redhat_2.5
- Rebuild for MD5

* Tue Aug 28 2012 Yong Yang <yyang@redhat.com> - 0:2.0.4-3.GA_redhat_2.5
- Rebuild

* Tue Aug 28 2012 Yong Yang <yyang@redhat.com> - 0:2.0.4-3.GA_redhat_2.4
- Update pom for 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.GA_redhat_2.3
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.4-3.GA_redhat_1.1
- Rebuild using cache signing

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-3.GA_redhat_1
- Remove javadoc JAR from SRPM and disable javadoc subpackage

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-2.GA_redhat_1
- Clean MANIFEST

* Fri May 04 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-1.GA_redhat_1
- Upgrade to 2.0.4.GA

* Mon Mar 26 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-1.GA_redhat_1.1
- Upgrade to 2.0.3.GA
- Add BR jboss-jaxrpc-api_1.1_spec

* Fri Mar 23 2012 Lin Gao <lgao@redhat.com> 0:2.0.2-1.GA_redhat_1
- Upgrade to 2.0.2.GA

* Fri Mar 16 2012 Lin Gao <lgao@redhat.com> 0:2.0.1-0.1.GA_redhat_1.1
- Use new wrapper

* Tue Feb 21 2012 Lin Gao <lgao@redhat.com> 0:2.0.1-0.1.GA_redhat_1
- Upgrade to 2.0.1.GA

* Fri Feb 03 2012 David Walluck <dwalluck@redhat.com> 0:2.0.0-0.8
- remove dependencies marked as provided in pom
- remove unused gnu-getopt
- remove unused log4j
- fix install of javadoc
- fix reltag
- fix repolib option
- fix repolib file ownership
- fix perms

* Thu Feb 02 2012 Fernando Nasser <fnasser@redhat.com> 0:2.0.0-0.7.GA_redhat_1.1
- Dependency cleanup/update

* Wed Jan 04 2012 Lin Gao <lgao@redhat.com> 0:2.0.0-0.7.GA_redhat_1
- Upgrade to 2.0.0.GA

* Mon Nov 28 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.6.CR1_redhat_1
- Upgrade to 2.0.0.CR1

* Tue Nov 15 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.5.Beta13_redhat_1
- Upgrade to 2.0.0.Beta13

* Wed Nov 09 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.4.Beta12_redhat_1
- build rpm format

* Fri Nov 04 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.3.Beta12
- upgrade to 2.0.0.Beta12

* Fri Oct 28 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.2.Beta11
- upgrade to 2.0.0.Beta11

* Mon Sep 19 2011 Lin Gao <lgao@redhat.com> 0:2.0.0-0.1.Beta5
- upgrade to 2.0.0.Beta5
- mead build on wolf phrase

* Mon Jun 27 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.2.Alpha7
- BR/R jboss-servlet-api_3.0_spec instead of jbossweb-servlet-2.5-api

* Tue Jun 07 2011 Hui Wang <huwang@redhat.com> - 0:2.0.0-0.1.Alpha7
- Upgrade to 2.0.0.Alpha7
- Add javadoc subpackage

* Thu Feb 10 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.0-3.SP7.1
- Upgrade to 1.1.0.SP7
- Patch pom.xml so that it uses jboss-microcontainer2

* Thu Jan 20 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.0-2.SP6.2
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries
- Change BR jboss-microcontainer to jboss-microcontainer2
- Patch pom.xml so that it uses jboss-microcontainer2

* Thu Jun 3 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.0-2.SP6.1
- Merge from RHEL4 (Upgrade to 1.1.0.SP6)

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.1.0-1.SP2_CP01.2.1
- rebuilt

* Wed Apr 21 2010 Hui Wang <huwang@redhat.om> 0:1.1.0-1.SP2_CP01.2
- Add BR: BuildRequires: sun-saaj-1.3-api
- Delete jbossws-native-jaxrpc dependency in depmap file
- Rebuild

* Thu Jan 21 2010 Martha Benitez <mbenitez@redhatc.om> 0:1.1.0-1.SP2_CP01.1
- Upgrade to 1.1.0.SP2_CP01
- Add BR codehaus-stax11-api, sun-ws-metadata-2.0-api and their depmap entries
- Change to %{version_full} for depmap entry

* Fri Nov 27 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.8
- Fix version of jaxb in pom

* Fri Oct 30 2009 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0.SP2.7
- Remove extra dependencies from POM as they should come from jbossws-spi

* Thu Oct 29 2009 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0.SP2.6
- Remove dependency on jbossws-native-saaj from POM

* Mon Sep 14 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.5
- Fix coordinates for jaxb-api
- Add pom to repolib

* Tue Jul 21 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.4
- Fix component-info.xml

* Mon Jul 20 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.3
- Rebuild to use latest jbossws

* Tue Jul 07 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.2
- Rebuild to fix groupId for jaxb-api

* Tue Jul 07 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-0.SP2.1
- Upgrade to 1.1.0.SP2
- Build with maven
- Add pom and fragment
- Use jbossws for building until we have jbossws-native built
